/* xkeycaps.h
 *
 * Copyright (C) 1999 Transmeta Corporation
 *
 * written by Nathan Laredo <nlaredo@transmeta.com>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

#ifndef __XKEYCAPS_H__
#define __XKEYCAPS_H__

#include "backslash.h"
#include "backspace.h"
#include "capslock.h"
#include "control.h"
#include "darkkey.h"
#include "enter.h"
#include "keypadlong.h"
#include "keypadzero.h"
#include "lightkey.h"
#include "shiftleft.h"
#include "shiftright.h"
#include "spacebar.h"
#include "tab.h"
#include "glassdown.h"
#include "glassup.h"
#include "tmlogo.h"
#include "texture.h"
#include "closewindow_up.h"
#include "closewindow_down.h"


struct pgmdata *mykclist[] = {
	&backslashpgm,		/* 0 */
	&capslockpgm,		/* 1 */
	&controlpgm,		/* 2 */
	&darkkeypgm,		/* 3 */
	&enterpgm,		/* 4 */
	&keypadlongpgm,		/* 5 */
	&lightkeypgm,		/* 6 */
	&shiftleftpgm,		/* 7 */
	&shiftrightpgm,		/* 8 */
	&spacebarpgm,		/* 9 */
	&backspacepgm,		/* 10 */
	&keypadzeropgm,		/* 11 */
	&tabpgm,		/* 12 */
	&closewindow_downpgm,	/* NUM_KEYCAPS - 6 */
	&closewindow_uppgm,	/* NUM_KEYCAPS - 5 */
	&glassdownpgm,		/* NUM_KEYCAPS - 4 */
	&glassuppgm,		/* NUM_KEYCAPS - 3 */
	&tmlogopgm,		/* NUM_KEYCAPS - 2 */
	&texturepgm		/* NUM_KEYCAPS - 1 */
};
#define NUM_KEYCAPS	(sizeof (mykclist) / sizeof(struct pgmdata *))
#define BORDER 0

#endif
